Deletes a brand.
curl --request DELETE \
--url https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/brands/{id}import requests
url = "https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/brands/{id}"
response = requests.delete(url)
print(response.text)const options = {method: 'DELETE'};
fetch('https://ca-delogue-service-prod.bravepebble-62e34dbe.westeurope.azurecontainerapps.io/api/brands/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"code": "<string>",
"data": {
"id": 123,
"name": "<string>",
"organizationId": 123,
"state": "active",
"properties": [
"<string>"
],
"address": "<string>",
"zipCode": "<string>",
"city": "<string>",
"stateOrProvince": "<string>",
"country": {
"id": 123,
"name": "<string>",
"code": "<string>"
},
"logo": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"metadata": "<string>",
"size": 123,
"fileWidth": 123,
"fileHeight": 123,
"provider": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"storageLocation": "<string>",
"relatedEntityType": "style",
"relatedEntityId": 123,
"createdByOrganizationId": 123,
"isLink": true,
"isDeletedFromS3": true,
"fileIconUrl": "<string>",
"thumbnailNotFound": true
},
"marginFactor": 123,
"userDefinedId": "<string>",
"lastUpdated": "2023-11-07T05:31:56Z",
"logoThumbnails": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"url": "<string>",
"metadata": "<string>",
"size": 123,
"fileWidth": 123,
"fileHeight": 123,
"provider": "<string>",
"createdOn": "2023-11-07T05:31:56Z",
"storageLocation": "<string>",
"relatedEntityType": "style",
"relatedEntityId": 123,
"createdByOrganizationId": 123,
"isLink": true,
"isDeletedFromS3": true,
"fileIconUrl": "<string>",
"thumbnailNotFound": true
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}{
"status": "success",
"code": "<string>",
"error": {
"details": [
{
"type": "<string>",
"field": "<string>",
"value": "<string>"
}
]
}
}Brands
Deletes a brand.
Deletes the brand with the specified ID. Returns the deleted brand.
DELETE
/
api
/
brands
/
{id}
Deletes a brand.
Headers
Path Parameters
Unique identifier of the brand to delete. Brands assigned to existing styles or items cannot be deleted.
Response
OK
The coarse outcome of the request, indicating whether it succeeded or failed.
Available options:
success, error The specific machine-readable outcome code, such as ok on success or the most specific error code on failure. Always lowercase on the wire.
The response payload, either a single object for a by-id read or an array for a bulk operation. Omitted from the body when there is no value.
Show child attributes
Show child attributes